Skip to content

Create an inventory owner

POST
/v1/organizations/{organizationId}/inventory-owners

API key scope: inventory:write.

X-Request-Id
string

Optional client request id returned in structured errors.

Media typeapplication/json
object
name
required
string
Example
Default owner
code
required
string
Example
DEFAULT
type
required
string
Allowed values: internal external
Example
internal
metadata
object
Example
{
"consignment": false
}

Inventory owner created.

Media typeapplication/json
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
name
required
string
code
required
string
type
required
string
Allowed values: internal external
status
required
string
Allowed values: active archived
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"id": "dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"name": "Consignment Partner",
"code": "PARTNER",
"type": "external",
"status": "active",
"metadata": {
"consignment": true
},
"createdAt": "2026-07-03T10:00:00.000Z",
"updatedAt": "2026-07-03T10:00:00.000Z"
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}